Vantaj

Incidents

List incidents

Get a paginated list of incidents for a project, newest first. Incidents are created automatically by the checker.

GEThttps://api.vantaj.co/v1/incidents

Requires an API key with the incidents:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Query parameters

project_idstring<uuid>required

Project to list incidents from.

monitor_idstring<uuid>

Filter to a single monitor.

statusstring

Filter by status.

Allowed:openresolved
sincestring<date-time>

Only incidents started at or after this ISO 8601 timestamp.

untilstring<date-time>

Only incidents started at or before this ISO 8601 timestamp.

limitinteger

Page size (1–100).

Default:25
cursorstring

Opaque cursor from a previous response's next_cursor.

List incidents
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/incidents?project_id=<project_id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "c4d5e6f7-a8b9-0c1d-2e3f-4a5b6c7d8e9f",
      "title": "API Gateway is down",
      "severity": "critical",
      "status": "open",
      "monitor_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
      "heartbeat_id": null,
      "domain_id": null,
      "started_at": "2026-06-21T11:58:00Z",
      "resolved_at": null,
      "error_message": "Connection timed out",
      "status_code": null,
      "trigger_region": "iad",
      "affected_regions": [
        "iad",
        "lhr"
      ],
      "created_at": "2026-06-21T11:58:00Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}